Installation Redmine with redmine_git_plugin
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues Estimated time: 0.00 hour

Target version:

Resolution: Invalid Affected version:

Description
Hello,

| make this tutorial :

https://jpox-web.qgithub.io/redmine_git_hosting/howtos/install/#step-by-step-installation

1. Install gems and migrate database

redmine$ cd REDMINE_ROOT
redmine$ bundle install --without development test

| have a probleme with the last the last commande. | try to remove /opt/redmine/GemFile.loke, | install the gem rake 1.6.0 and rake
1.4.1, actionpack, i test with rails 3.2.21, but without success, so | execute 'gem clean'.

But i have this error :

Updating https://github.com/jbox-web/gitolite-rugged.git
Updating https://github.com/jbox-web/grack.git
Fetching gem metadata from https://rubygems.org/........
Fetching version metadata from https://rubygems.org/..
Resolving dependencies......
Bundler could not find compatible versions for gem "rack":
In Gemfile:
gitlab-grack (>= 0) ruby depends on
rack (~> 1.4.1) ruby

rails (= 4.2.0) ruby depends on
actionpack (= 4.2.0) ruby depends on
rack (1.6.0)

Have someone got an idea? | searched a lot...I'm under Debian.

History

#1 - 2015-03-05 21:58 - Florian CELLIER

Description
Hello,
| make this tutorial :

https://jbox-web.qgithub.io/redmine_git_hosting/howtos/install/#step-by-step-installation

Install gems and migrate database

redmine$ cd REDMINE_ROOT
redmine$ bundle install --without development test

| have a probleme with the last the last commande. | try to remove /opt/redmine/GemFile.loke, | install the gem rake 1.6.0 and rake 1.4.1, actionpack,
i test with rails 3.2.21, but without success, so | execute 'gem clean'.
But i have this error :

Updating https:/github.com/jbox-web/gitolite-rugged.qgit
Updating https://github.com/jbox-web/grack.git

Fetching gem metadata from https:/rubygems.org/........
Fetching version metadata from https://rubygems.org/..
Resolving dependencies......

Bundler could not find compatible versions for gem "rack":
In Gemfile:

gitlab-grack (>= 0) ruby depends on

rack (~> 1.4.1) ruby

rails (= 4.2.0) ruby depends on
actionpack (= 4.2.0) ruby depends on
rack (1.6.0)

Have someone got an idea? | searched a lot...I'm under Debian.

#2 - 2015-03-07 01:02 - Toshi MARUYAMA

- Description updated

#3 - 2015-03-07 01:03 - Toshi MARUYAMA
- Status changed from New to Closed

- Resolution set to Invalid

Please contact plugin author.
